surface poserSurface (
  float ambient=0;
  float diffusion=0.5;
  float specular=0.74;
  float roughness=0.03;
  string ambientTexture="";
  color ambientColor=color(1,1,1);
  string diffuseTexture="";
  color diffuseColor=color(1.00,1.00,1.00); 
  string specularTexture=""; 
  color specularColor=color(1.00,1.00,1.00);
  string transTexture="";
  float transparency=1.0;
  string bumpTexture="";
  color bumpColor=color(1,1,1);
  float bumpHeight=0;) 
{
  color Ct1 = (ambientTexture != "") ? color texture (ambientTexture,"filter","gaussian") : ambientColor;
  color Ct = (diffuseTexture != "") ? color texture (diffuseTexture,"filter","gaussian") : diffuseColor;
  color specularcolor = (specularTexture != "") ? color texture (specularTexture,"filter","gaussian") : specularColor;
  color Ct11 = (transTexture != "") ? color texture (transTexture,"filter","gaussian") : color(transparency);
  if (bumpTexture != ""){
    color Ct5 = color texture (bumpTexture,"filter", "gaussian");
    float temp_f_6=(comp(Ct5,0)+comp(Ct5,1)+comp(Ct5,2))/3;
   float spacescale = length(vtransform("shader", normalize(N)));
   vector Ndisp = normalize(N) * (temp_f_6*bumpHeight / max(spacescale,1e-6));
   N = normalize (calculatenormal (P + Ndisp));
  }        
  normal Nf = faceforward(normalize(N), I);
  vector V = normalize(-I);
  //Ci = (diffuseColor * Ct * (1 * diffuse(Nf) + (1-occlusion(P, Nf))*0.3) + specularcolor * 1 * specular(Nf, V, roughness));
  Ci = (diffuseColor * Ct * (ambient() + diffuse(Nf)) + specularcolor * specular(Nf, V, roughness));
  Oi = (Ct11);
  Ci *= Oi;

}

